Subject: Re: [PATCH v1] rebase -m: Use empty tree base for parentless commits

From: "David M. Lloyd" <[email-masked]>
Date: Thu, 09 Oct 2014 14:20:36 -0500

On 10/09/2014 01:50 PM, Fabian Ruch wrote:
> Hi David,
>
> I don't think you made a mistake at all. If I understand the --merge
> mode of git-rebase correctly there is no need to require a parent.
> The error occurs when the script tries to determine the changes your
> merge commit introduces, which includes the whole "importing/master"
> branch. The strategy is not yet part of the picture then and will not
> be until the changes are being replayed.

Thank you for your prompt response, clear explanation, and patch even! 
I'm afraid my understanding of the git internals is next-to-nil.  But 
I'm glad I could contribute to helping to improve it in some small way.

-- 
- DML